Why can't I run the Robot Mesh Connect Installer? (MacOS)

Version: macOS Catalina 10.15.7
I tried to run it multiple times and keep seeing this message. Somebody help me!